# internal-text-renderer



<!-- Auto Generated Below -->


## Properties

| Property             | Attribute             | Description | Type      | Default |
| -------------------- | --------------------- | ----------- | --------- | ------- |
| `autoLink`           | `auto-link`           |             | `boolean` | `true`  |
| `content`            | `content`             |             | `string`  | `''`    |
| `highlightCode`      | `highlight-code`      |             | `boolean` | `false` |
| `preserveWhitespace` | `preserve-whitespace` |             | `boolean` | `true`  |


## Dependencies

### Used by

 - [ai-chat](..)

### Graph
```mermaid
graph TD;
  ai-chat --> internal-text-renderer
  style internal-text-renderer fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

*Built with [StencilJS](https://stenciljs.com/)*
